%define name xmms-crossfade
%define version 0.3.14
%define release %mkrel 1
%define build_audacious 1

Name:          %name
Summary:       Crossfade output plugin for XMMS
Version:       %version
Release:       %release
Group:         Sound
License:       GPL
BuildRequires: xmms 
BuildRequires: libxmms-devel
BuildRequires: libsamplerate-devel
BuildRequires: automake1.8
Requires:      xmms
Url:		http://www.eisenlohr.org/xmms-crossfade/news.html
Source:        http://www.eisenlohr.org/xmms-crossfade/%name-%version.tar.gz
BuildRoot:     %_tmppath/%name-buildroot


%description
xmms-crossfade: XMMS Output Plugin for Crossfading / Continuous Output
----------------------------------------------------------------------

Features:
---------
  * Crossfading
  * Continuous output
  * Gap-Killer: Some mp3-encoders produce small gaps of silence at the
    beginning or end of the stream. They can automatically be detected
    and removed.

%if %build_audacious
%package -n audacious-crossfade
Group: Sound
Summary: Crossfade output plugin for Audacious
BuildRequires: audacious-devel
BuildRequires: audacious
Requires: audacious
Provides: beep-media-player-crossfade
Obsoletes: beep-media-player-crossfade

%description -n audacious-crossfade
Audacious Output Plugin for Crossfading / Continuous Output
----------------------------------------------------------------------

Features:
---------
  * Crossfading
  * Continuous output
  * Gap-Killer: Some mp3-encoders produce small gaps of silence at the
    beginning or end of the stream. They can automatically be detected
    and removed.
%endif

%prep
%setup -q
mkdir xmms-build audacious-build

%build
cd xmms-build
CONFIGURE_TOP=.. %configure2_5x --enable-player=xmms
%make
%if %build_audacious
cd ../audacious-build
CONFIGURE_TOP=.. %configure2_5x --enable-player=audacious
%make
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd xmms-build
%makeinstall libdir=%buildroot%{_libdir}/xmms/Output/
%if %build_audacious
cd ../audacious-build
%makeinstall libdir=%buildroot%{_libdir}/audacious/Output/
%endif
rm -f %buildroot%{_libdir}/*/Output/libcrossfade.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_libdir}/xmms/Output/libcrossfade.so

%if %build_audacious
%files -n audacious-crossfade
%defattr(-,root,root)
%doc AUTHORS README ChangeLog
%{_libdir}/audacious/Output/libcrossfade.so
%endif




%changelog
* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 0.3.14-1mdv2008.1
+ Revision: 112090
- new version

* Wed Nov 21 2007 Götz Waschk <waschk@mandriva.org> 0.3.13-1mdv2008.1
+ Revision: 111029
- new version


* Sun Mar 04 2007 Götz Waschk <waschk@mandriva.org> 0.3.12-1mdv2007.0
+ Revision: 132705
- new version
- drop patch

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-4mdv2007.1
+ Revision: 125922
- rebuild

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-3mdv2007.1
+ Revision: 121658
- rebuild for audacious 1.2

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 0.3.11-2mdv2007.1
+ Revision: 106076
- Import xmms-crossfade

* Mon Jan 08 2007 Gtz Waschk <waschk@mandriva.org> 0.3.11-2mdv2007.1
- patch for new audacious

* Sat Jul 15 2006 Gtz Waschk <waschk@mandriva.org> 0.3.11-1mdv2007.0
- reenable audacious plugin
- fix build
- New release 0.3.11

* Thu Jun 29 2006 Gtz Waschk <waschk@mandriva.org> 0.3.10-4mdv2007.0
- disable audacious again

* Mon Mar 06 2006 Gtz Waschk <waschk@mandriva.org> 0.3.10-3mdk
- reenable audacious plugin

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.3.10-2mdk
- disable audacious plugin

* Sun Dec 04 2005 Gtz Waschk <waschk@mandriva.org> 0.3.10-1mdk
- drop patches
- New release 0.3.10

* Fri Dec 02 2005 Gtz Waschk <waschk@mandriva.org> 0.3.9-3mdk
- drop bmp plugin

* Thu Dec 01 2005 Gtz Waschk <waschk@mandriva.org> 0.3.9-2mdk
- fix bmp plugin linkage
- mkrel 
- fix URL
- add audacious plugin

* Wed Nov 30 2005 Gtz Waschk <waschk@mandriva.org> 0.3.9-1mdk
- build fixes
- add beep-media-player suppport
- New release 0.3.9

* Sat Jun 04 2005 Gtz Waschk <waschk@mandriva.org> 0.3.8-2mdk
- patch for new gcc

* Sat Sep 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

* Sat Sep 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.6-1mdk
- update buildrequires
- New release 0.3.6

* Mon Aug 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.5-1mdk
- add source URL
- New release 0.3.5

